@echo off

set BACKUP_DIR=C:\backup
set ASTAH_SHARE=C:\astah-share-2_6
set DATA_DIR=%ASTAH_SHARE%\data

set H2_PATH=%ASTAH_SHARE%\server\webapps\astahshare\WEB-INF\lib\h2.jar
set DB_USER=sa

set date2=%date%
set time2=%time: =0%
set datetime=%date2:~-10,4%_%date2:~-5,2%_%date2:~-2,2%_%time2:~0,2%_%time2:~3,2%

mkdir %BACKUP_DIR%\%datetime%

set ZIP_FILE=%BACKUP_DIR%\%datetime%\backup.zip

rem Astah/Shareを実行中の場合、TCPプロトコル指定
set DB_URL=jdbc:h2:tcp://localhost:9092/%DATA_DIR%/db/jude-share_h2

rem Astah/Shareを停止中の場合、fileプロトコル指定
rem set DB_URL=jdbc:h2:file://%DATA_DIR%/db/jude-share_h2

rem データベースのデータをリストアする
java -cp %H2_PATH% org.h2.tools.Script -url %DB_URL% -user %DB_USER% -script %ZIP_FILE% -options compression zip

rem 画像、位置、構造ツリーのデータをコピーする
xcopy /E /I /Y %DATA_DIR%\projects %BACKUP_DIR%\%datetime%\projects
